Summary: Retrieve list of filesystems and their properties
Name: perl-Sys-Filesystem
Version: 1.408
Release: 1%{?dist}

License: Apache 2.0
Group: Development/Libraries

URL: http://search.cpan.org/~rehsack/Sys-Filesystem-%{version}/lib/Sys/Filesystem.pm
Source0: http://www.cpan.org/authors/id/R/RE/REHSACK/Sys-Filesystem-%{version}.tar.gz

BuildArch: noarch

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(Params::Util)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Pluggable)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(FindBin)
BuildRequires:  perl-macros

Provides:  perl(Sys::Filesystem) = %{version}

%{?perl_default_filter}

%description
Sys::Filesystem is intended to be a portable interface to list and
query filesystem names and their properties. This module hopes to
provide a consistant API to list all, mounted, unmounted and special
filesystems on a system, and query as many properties as possible with
common aliases wherever possible.

%prep
%setup -q -n Sys-Filesystem-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name \*Mswin32\* -exec rm -f {} ';'

%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%doc README CREDITS Changes TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Mon Apr 15 2024 Trond Hasle Amundsen <trondham@uio.no> - 1.408-1
- Upstream release 1.408

* Tue May  4 2021 Trond Hasle Amundsen <trondham@uio.no> - 1.406-3
- Buildrequire perl-macros

* Sun Nov  8 2020 Trond Hasle Amundsen <trondham@uio.no> - 1.406-2
- Buildrequire perl(FindBin)

* Mon May 11 2020 Trond Hasle Amundsen <trondham@uio.no> - 1.406-1
- Upstream release 1.406

* Wed Sep  4 2013 Trond Hasle Amundsen <trondham@uio.no> - 1.400-1
- Upstream release 1.400

* Wed Jul  3 2013 Trond Hasle Amundsen <trondham@uio.no> - 1.30-3
- Add BuildReguire Module::Pluggable
- Remove unnecessary macros
- Remove unnucessary cleaning of buildroot
- Comment out tests (some fail)

* Mon Oct  3 2011 Trond Hasle Amundsen <trondham@uio.no> - 1.30-2
- Use Build.PL (preferred) instead of Makefile.PL
- Add better description
- Add a check section
- Add missing BuildRequires for check
- Remove Win32 support
- Add docs

* Mon Oct  3 2011 Ståle Askerød Johansen <s.a.johansen@usit.uio.no> - 1.30-1
- Initial build.

